using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/User_Edit_Head.aspx文件
    /// </summary>
    public class 编译扩展_Club_User_Edit_Sign : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_User_Edit_Sign(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }



        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private String 签名;
	private String 随机值;
	private void 生成签名()
	{
		Hashtable 用户=常用.SQL_获取(new SqlCommand(""SELECT [个人签名] FROM [""+程序.数据表前缀+""社区_用户_用户] WHERE [ID]=""+访问.用户[""ID""],访问.连接));
		if(用户==null)
			throw new Exception(""用户不存在"");

		签名=用户[""个人签名""].ToString();
		随机值=常用.随机字符(8);
	}
";
            return @"
	访问.验证会员();
	生成签名();
";
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "签名":
                    return @"		返回值.Append(Server.HtmlEncode(签名));
";
                case "随机值":
                    return @"		返回值.Append(随机值);
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}